package com.company.bpmquad.app;

import com.company.bpmquad.entity.ClassA;
import io.jmix.core.DataManager;
import org.apache.commons.lang3.RandomStringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ClassAGenerator {

    @Autowired
    private DataManager dataManager;

    private static final Logger log = LoggerFactory.getLogger(ClassAGenerator.class);

    public ClassA generateClassA() {
        ClassA classA = dataManager.create(ClassA.class);
        classA.setDescription(RandomStringUtils.randomAlphabetic(10));
        ClassA savedClassA = dataManager.save(classA);
        log.info("Generated classA: {}", classA.getDescription());
        return savedClassA;
    }
}